;;; cgreek.el --- configuration file for classical Greek

;; Copyright (C) 2003, 2005, 2008, 2010
;; National Institute of Advanced Industrial Science and Technology (AIST)
;; Registration Number: H15PRO 109

;; Author: TAKAHASHI Naoto <ntakahas@m17n.org>
;; Keywords: multilingual, classical Greek, Unicode

;; This program is free software; you can redistribute it and/or
;; modify it under the terms of the GNU General Public License as
;; published by the Free Software Foundation; either version 2, or (at
;; your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; see the file COPYING.  If not, write to
;; the Free Software Foundation, Inc., 51 Franklin Street, Fifth
;; Floor, Boston, MA 02110-1301, USA.

;;; Code

;; TLG

;; Mount point of the TLG CD-ROM.
;; If not set, defaults to "/media/cdrom".
;(setq cgreek-tlg-directory "/media/cdrom")

;; CD-ROM version.
;; If not set, defaults to "E".
;(setq cgreek-tlg-cdrom-version "E")

;; Set this variable if you have a customised authtab file.
;; If not set, defaults to nil, i.e. no customised authtab file.
;(setq cgreek-tlg-my-authtab-file nil)

;; Set these variables if you have customised programs.
;; Defaults are "tlg2emacs" and "tlg2cit" in this directory.
;(setq cgreek-tlg2emacs-program "/usr/local/bin/my-tlg2emacs")
;(setq cgreek-tlg2citation-program "/usr/local/bin/my-tlg2cit")

;; TeX

;; Beginning of Greek text in TeX.
;; If not set, defaults to "\\begin{greek}".
;(setq cgreek-begingreek "\\begin{otherlanguage}{greek}")

;; End of Greek text in TeX.
;; If not set, defaults to "\\end{greek}".
;(setq cgreek-endgreek "\\end{otherlanguage}")

;; Input Methods

;; Input method for Greek.
;; If not set, defaults to "greek-mizuochi".
;(setq cgreek-greek-im "greek-ibycus4")

;; Input method for Latin.
;; If not set, defaults to "latin-1-postfix".
;(setq cgreek-latin-im "latin-1-prefix")

;; Input method for local language.
;; If not set, defaults to "japanese".
;(setq cgreek-local-im "japanese")

;; Input method for foreign language.
;; If not set, defaults to "cyrillic-jcuken" (ISO 8859/5).
;(setq cgreek-foreign-im "russian-jcuken-unicode")

;; Uncomment and modify the following lines if you want to use
;; function keys to change the input method.
;(define-key global-map [f9]
;  (lambda () (interactive) (set-input-method cgreek-greek-im)))
;(define-key global-map [f10]
;  (lambda () (interactive) (set-input-method cgreek-latin-im)))
;(define-key global-map [f11]
;  (lambda () (interactive) (set-input-method cgreek-local-im)))
;(define-key global-map [f12]
;  (lambda () (interactive) (set-input-method cgreek-foreign-im)))

;; ps-print

(setq ps-multibyte-buffer nil)

(setq bdf-directory-list
      (cons "~/cgreek23/bdf" bdf-directory-list))

(setq ps-mule-font-info-database-default
  '((iso-8859-1
     (normal nil nil))
    (greek-iso8859-7
     (normal bdf "cgreek24-iso8859-7.bdf" iso-8859-7))
    (cyrillic-iso8859-5
     (normal bdf ("cyr24-etl.bdf" "etl24-cyrillic.bdf") iso-8859-5))
    (japanese-jisx0208
     (normal bdf "jiskan24.bdf"))
    (japanese-jisx0212
     (normal bdf ("jksp40.bdf" "jisksp40.bdf")))
    (iso-8859-2
     (normal bdf ("lt2-24-etl.bdf" "etl24-latin2.bdf")))
    (iso-8859-3
     (normal bdf ("lt3-24-etl.bdf" "etl24-latin3.bdf")))
    (iso-8859-4
     (normal bdf ("lt4-24-etl.bdf" "etl24-latin4.bdf")))
    (iso-8859-9
     (normal bdf ("lt5-24-etl.bdf" "etl24-latin5.bdf") iso-8859-9))
    (unicode-bmp
     (normal bdf "cgreek24-unicode.bdf"))
    ))

;; Do not change the following lines.
(load "robin")
(load "greek")
(load "latin")
(load "russian")
(load "cgreek-tex")
(load "cgreek-tlg")
(load "cgreek-misc")
(load "cgreek-menu")

(provide 'cgreek)

;;; cgreek.el ends here
