;;; latin --- robin package for Latin script -*- coding: utf-8; -*-

;; Copyright (C) 2003
;; National Institute of Advanced Industrial Science and Technology (AIST)
;; Registration Number: H15PRO 110

;; Author: TAKAHASHI Naoto <ntakahas@m17n.org>
;; Keywords: multilingual, latin

;; This program is free software; you can redistribute it and/or
;; modify it under the terms of the GNU General Public License as
;; published by the Free Software Foundation; either version 2, or (at
;; your option) any later version.

;; This program is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; see the file COPYING.  If not, write to
;; the Free Software Foundation, Inc., 51 Franklin Street, Fifth
;; Floor, Boston, MA 02110-1301, USA.

;;; Code:

(robin-define-package "latin-latex2e"
 "LaTeX2e style transliteration for Extended Latin characters in Unicode."

 ("~" ? )
 ("!`" ?¡)
;("" ?¢)
 ("{\\pounds}" ?£)
;("" ?¤)
;("" ?¥)
;("" ?¦)
 ("{\\S}" ?§)
 ("\\\"{}" ?¨)
 ("{\\copyright}" ?©)
 ("$\\mathrm{^{\\underline{a}}}$" ?ª)
 ("$\\ll$" ?«)
 ("$\\neg$" ?¬)
 ("-" ?­)
;("" ?®)
 ("\\={}" ?¯)
;("" ?°)
 ("$\\pm$" ?±)
 ("$^{2}$" ?²)
 ("$^{3}$" ?³)
 ("\\'{}" ?´)
 ("$\\mu$" ?µ)
 ("{\\P}" ?¶)
 ("$\\cdot$" ?·)
 ("\\c{}" ?¸)
 ("$^{1}$" ?¹)
 ("$\\mathrm{^{\\underline{o}}}$" ?º)
 ("$\\gg$" ?»)
 ("1/4" ?¼)
 ("1/2" ?½)
 ("3/4" ?¾)
 ("?`" ?¿)
 ("\\`{A}" ?À) ("\\`A" ?À)
 ("\\'{A}" ?Á) ("\\'A" ?Á)
 ("\\^{A}" ?Â) ("\\^A" ?Â)
 ("\\~{A}" ?Ã) ("\\~A" ?Ã)
 ("\\\"{A}" ?Ä) ("\\\"A" ?Ä)
 ("{\\AA}" ?Å)
 ("{\\AE}" ?Æ)
 ("\\c{C}" ?Ç)
 ("\\`{E}" ?È) ("\\`E" ?È)
 ("\\'{E}" ?É) ("\\'E" ?É)
 ("\\^{E}" ?Ê) ("\\^E" ?Ê)
 ("\\\"{E}" ?Ë) ("\\\"E" ?Ë)
 ("\\`{I}" ?Ì) ("\\`I" ?Ì)
 ("\\'{I}" ?Í) ("\\'I" ?Í)
 ("\\^{I}" ?Î) ("\\^I" ?Î)
 ("\\\"{I}" ?Ï) ("\\\"I" ?Ï)
;("" ?Ð)
 ("\\~{N}" ?Ñ) ("\\~N" ?Ñ)
 ("\\`{O}" ?Ò) ("\\`O" ?Ò)
 ("\\'{O}" ?Ó) ("\\'O" ?Ó)
 ("\\^{O}" ?Ô) ("\\^O" ?Ô)
 ("\\~{O}" ?Õ) ("\\~O" ?Õ)
 ("\\\"{O}" ?Ö) ("\\\"O" ?Ö)
 ("$\\times$" ?×)
 ("{\\O}" ?Ø)
 ("\\`{U}" ?Ù) ("\\`U" ?Ù)
 ("\\'{U}" ?Ú) ("\\'U" ?Ú)
 ("\\^{U}" ?Û) ("\\^U" ?Û)
 ("\\\"{U}" ?Ü) ("\\\"U" ?Ü)
 ("\\'{Y}" ?Ý) ("\\'Y" ?Ý)
;("" ?Þ)
 ("{\\ss}" ?ß)
 ("\\`{a}" ?à) ("\\`a" ?à)
 ("\\'{a}" ?á) ("\\'a" ?á)
 ("\\^{a}" ?â) ("\\^a" ?â)
 ("\\~{a}" ?ã) ("\\~a" ?ã)
 ("\\\"{a}" ?ä) ("\\\"a" ?ä)
 ("{\\aa}" ?å)
 ("{\\ae}" ?æ)
 ("\\c{c}" ?ç)
 ("\\`{e}" ?è) ("\\`e" ?è)
 ("\\'{e}" ?é) ("\\'e" ?é)
 ("\\^{e}" ?ê) ("\\^e" ?ê)
 ("\\\"{e}" ?ë) ("\\\"e" ?ë)
 ("\\`{\\i}" ?ì)
 ("\\'{\\i}" ?í)
 ("\\^{\\i}" ?î)
 ("\\\"{\\i}" ?ï)
;("" ?ð)
 ("\\~{n}" ?ñ) ("\\~n" ?ñ)
 ("\\`{o}" ?ò) ("\\`o" ?ò)
 ("\\'{o}" ?ó) ("\\'o" ?ó)
 ("\\^{o}" ?ô) ("\\^o" ?ô)
 ("\\~{o}" ?õ) ("\\~o" ?õ)
 ("\\\"{o}" ?ö) ("\\\"o" ?ö)
 ("$\\div$" ?÷)
 ("{\\o}" ?ø)
 ("\\`{u}" ?ù) ("\\`u" ?ù)
 ("\\'{u}" ?ú) ("\\'u" ?ú)
 ("\\^{u}" ?û) ("\\^u" ?û)
 ("\\\"{u}" ?ü) ("\\\"u" ?ü)
 ("\\'{y}" ?ý) ("\\'y" ?ý)
;("" ?þ)
 ("\\\"{y}" ?ÿ) ("\\\"y" ?ÿ)
 ("\\={A}" ?Ā)
 ("\\={a}" ?ā)
 ("\\u{A}" ?Ă)
 ("\\u{a}" ?ă)
;("" ?Ą)
;("" ?ą)
 ("\\'{C}" ?Ć)
 ("\\'{c}" ?ć)
 ("\\^{C}" ?Ĉ)
 ("\\^{c}" ?ĉ)
 ("\\.{C}" ?Ċ)
 ("\\.{c}" ?ċ)
 ("\\v{C}" ?Č)
 ("\\v{c}" ?č)
 ("\\v{D}" ?Ď)
 ("\\v{d}" ?ď)
;("" ?Đ)
;("" ?đ)
 ("\\={E}" ?Ē)
 ("\\={e}" ?ē)
 ("\\u{E}" ?Ĕ)
 ("\\u{e}" ?ĕ)
 ("\\.{E}" ?Ė)
 ("\\.{e}" ?ė)
;("" ?Ę)
;("" ?ę)
 ("\\v{E}" ?Ě)
 ("\\v{e}" ?ě)
 ("\\^{G}" ?Ĝ)
 ("\\^{g}" ?ĝ)
 ("\\u{G}" ?Ğ)
 ("\\u{g}" ?ğ)
 ("\\.{G}" ?Ġ)
 ("\\.{g}" ?ġ)
 ("\\c{G}" ?Ģ)
 ("\\c{g}" ?ģ)
 ("\\^{H}" ?Ĥ)
 ("\\^{h}" ?ĥ)
;("" ?Ħ)
;("" ?ħ)
 ("\\~{I}" ?Ĩ)
 ("\\~{\\i}" ?ĩ)
 ("\\={I}" ?Ī)
 ("\\={\\i}" ?ī)
 ("\\u{I}" ?Ĭ)
 ("\\u{\\i}" ?ĭ)
;("" ?Į)
;("" ?į)
 ("\\.{I}" ?İ)
 ("{\\i}" ?ı)
 ("IJ" ?Ĳ)
 ("ij" ?ĳ)
 ("\\^{J}" ?Ĵ)
 ("\\^{\\j}" ?ĵ)
 ("\\c{K}" ?Ķ)
 ("\\c{k}" ?ķ)
;("" ?ĸ)
 ("\\'{L}" ?Ĺ)
 ("\\'{l}" ?ĺ)
 ("\\c{L}" ?Ļ)
 ("\\c{l}" ?ļ)
 ("\\v{L}" ?Ľ)
 ("\\v{l}" ?ľ)
;("" ?Ŀ)
;("" ?ŀ)
 ("{\\L}" ?Ł)
 ("{\\l}" ?ł)
 ("\\'{N}" ?Ń)
 ("\\'{n}" ?ń)
 ("\\c{N}" ?Ņ)
 ("\\c{n}" ?ņ)
 ("\\v{N}" ?Ň)
 ("\\v{n}" ?ň)
 ("'n" ?ŉ)
;("" ?Ŋ)
;("" ?ŋ)
 ("\\={O}" ?Ō)
 ("\\={o}" ?ō)
 ("\\u{O}" ?Ŏ)
 ("\\u{o}" ?ŏ)
 ("\\H{O}" ?Ő)
 ("\\H{o}" ?ő)
 ("{\\OE}" ?Œ)
 ("{\\oe}" ?œ)
 ("\\'{R}" ?Ŕ)
 ("\\'{r}" ?ŕ)
 ("\\c{R}" ?Ŗ)
 ("\\c{r}" ?ŗ)
 ("\\v{R}" ?Ř)
 ("\\v{r}" ?ř)
 ("\\'{S}" ?Ś)
 ("\\'{s}" ?ś)
 ("\\^{S}" ?Ŝ)
 ("\\^{s}" ?ŝ)
 ("\\c{S}" ?Ş)
 ("\\c{s}" ?ş)
 ("\\v{S}" ?Š)
 ("\\v{s}" ?š)
 ("\\c{T}" ?Ţ)
 ("\\c{t}" ?ţ)
 ("\\v{T}" ?Ť)
 ("\\v{t}" ?ť)
;("" ?Ŧ)
;("" ?ŧ)
 ("\\~{U}" ?Ũ)
 ("\\~{u}" ?ũ)
 ("\\={U}" ?Ū)
 ("\\={u}" ?ū)
 ("\\u{U}" ?Ŭ)
 ("\\u{u}" ?ŭ)
;("" ?Ů)
;("" ?ů)
 ("\\H{U}" ?Ű)
 ("\\H{u}" ?ű)
;("" ?Ų)
;("" ?ų)
 ("\\^{W}" ?Ŵ)
 ("\\^{w}" ?ŵ)
 ("\\^{Y}" ?Ŷ)
 ("\\^{y}" ?ŷ)
 ("\\\"{Y}" ?Ÿ)
 ("\\'{Z}" ?Ź)
 ("\\'{z}" ?ź)
 ("\\.{Z}" ?Ż)
 ("\\.{z}" ?ż)
 ("\\v{Z}" ?Ž)
 ("\\v{z}" ?ž)
;("" ?ſ)

 ("\\v{A}" ?Ǎ)
 ("\v{a}" ?ǎ)
 ("\\v{I}" ?Ǐ)
 ("\\v{\\i}" ?ǐ)
 ("\\v{O}" ?Ǒ)
 ("\\v{o}" ?ǒ)
 ("\\v{U}" ?Ǔ)
 ("\\v{u}" ?ǔ)
 ("\\={\\AE}" ?Ǣ)
 ("\\={\ae}" ?ǣ)
 ("\\v{G}" ?Ǧ)
 ("\\v{g}" ?ǧ)
 ("\\v{K}" ?Ǩ)
 ("\\v{k}" ?ǩ)
 ("\\v{\\j}" ?ǰ)
 ("\\'{G}" ?Ǵ)
 ("\\'{g}" ?ǵ)
 ("\\`{N}" ?Ǹ)
 ("\\`{n}" ?ǹ)
 ("\\'{\\AE}" ?Ǽ)
 ("\\'{\\ae}" ?ǽ)
 ("\\'{\\O}" ?Ǿ)
 ("\\'{\\o}" ?ǿ)
 ("\\v{H}" ?Ȟ)
 ("\\v{h}" ?ȟ)
 ("\\.{A}" ?Ȧ)
 ("\\.{a}" ?ȧ)
 ("\\c{E}" ?Ȩ)
 ("\\c{e}" ?ȩ)
 ("\\.{O}" ?Ȯ)
 ("\\.{o}" ?ȯ)
 ("\\={Y}" ?Ȳ)
 ("\\={y}" ?ȳ)

 ("\\.{B}" ?Ḃ)
 ("\\.{b}" ?ḃ)
 ("\\d{B}" ?Ḅ)
 ("\\d{b}" ?ḅ)
 ("\\b{B}" ?Ḇ)
 ("\\b{b}" ?ḇ)
 ("\\c{\\'{C}}" ?Ḉ)
 ("\\c{\\'{c}}" ?ḉ)
 ("\\.{D}" ?Ḋ)
 ("\\.{d}" ?ḋ)
 ("\\d{D}" ?Ḍ)
 ("\\d{d}" ?ḍ)
 ("\\b{D}" ?Ḏ)
 ("\\b{d}" ?ḏ)
 ("\\c{D}" ?Ḑ)
 ("\\c{d}" ?ḑ)
 ("\\c{\\u{E}}" ?Ḓ)
 ("\\c{\\u{e}}" ?ḓ)
 ("\\.{F}" ?Ḕ)
 ("\\.{f}" ?ḕ)
 ("\\={G}" ?Ḗ)
 ("\\={g}" ?ḗ)
 ("\\.{H}" ?Ḙ)
 ("\\.{h}" ?ḙ)
 ("\\d{H}" ?Ḛ)
 ("\\d{h}" ?ḛ)
 ("\\\"{H}" ?Ḝ)
 ("\\\"{h}" ?ḝ)
 ("\\c{H}" ?Ḟ)
 ("\\c{h}" ?ḟ)
 ("\\'{K}" ?Ḡ)
 ("\\'{k}" ?ḡ)
 ("\\d{K}" ?Ḣ)
 ("\\d{k}" ?ḣ)
 ("\\b{K}" ?Ḥ)
 ("\\b{k}" ?ḥ)
 ("\\d{L}" ?Ḧ)
 ("\\d{l}" ?ḧ)
 ("\\d{\\={L}}" ?Ḩ)
 ("\\d{\\={l}}" ?ḩ)
 ("\\b{L}" ?Ḫ)
 ("\\b{l}" ?ḫ)
 ("\\'{M}" ?Ḭ)
 ("\\'{m}" ?ḭ)
 ("\\.{M}" ?Ḯ)
 ("\\.{m}" ?ḯ)
 ("\\d{M}" ?Ḱ)
 ("\\d{m}" ?ḱ)
 ("\\.{N}" ?Ḳ)
 ("\\.{n}" ?ḳ)
 ("\\d{N}" ?Ḵ)
 ("\\d{n}" ?ḵ)
 ("\\b{N}" ?Ḷ)
 ("\\b{n}" ?ḷ)
 ("\\'{P}" ?Ḹ)
 ("\\'{p}" ?ḹ)
 ("\\.{P}" ?Ḻ)
 ("\\.{p}" ?ḻ)
 ("\\.{R}" ?Ḽ)
 ("\\.r{}" ?ḽ)
 ("\\d{R}" ?Ḿ)
 ("\\d{r}" ?ḿ)
 ("\\d{\\={R}}" ?Ṁ)
 ("\\d{\\={r}}" ?ṁ)
 ("\\b{R}" ?Ṃ)
 ("\\b{r}" ?ṃ)
 ("\\.{S}" ?Ṅ)
 ("\\.{s}" ?ṅ)
 ("\\d{S}" ?Ṇ)
 ("\\d{s}" ?ṇ)
 ("\\d{\\.{S}}" ?Ṉ)
 ("\\d{\\.{s}}" ?ṉ)
 ("\\.{T}" ?Ṋ)
 ("\\.{t}" ?ṋ)
 ("\\d{T}" ?Ṍ)
 ("\\d{t}" ?ṍ)
 ("\\b{T}" ?Ṏ)
 ("\\b{t}" ?ṏ)
 ("\\~{V}" ?Ṑ)
 ("\\~{v}" ?ṑ)
 ("\\d{V}" ?Ṓ)
 ("\\d{v}" ?ṓ)
 ("\\`{W}" ?Ṕ)
 ("\\`{w}" ?ṕ)
 ("\\'{W}" ?Ṗ)
 ("\\'{w}" ?ṗ)
 ("\\\"{W}" ?Ṙ)
 ("\\\"{w}" ?ṙ)
 ("\\.{W}" ?Ṛ)
 ("\\.{w}" ?ṛ)
 ("\\d{W}" ?Ṝ)
 ("\\d{w}" ?ṝ)
 ("\\.{X}" ?Ṟ)
 ("\\.{x}" ?ṟ)
 ("\\\"{X}" ?Ṡ)
 ("\\\"{x}" ?ṡ)
 ("\\.{Y}" ?Ṣ)
 ("\\.{y}" ?ṣ)
 ("\\^{Z}" ?Ṥ)
 ("\\^{z}" ?ṥ)
 ("\\d{Z}" ?Ṧ)
 ("\\d{z}" ?ṧ)
 ("\\b{Z}" ?Ṩ)
 ("\\b{z}" ?ṩ)
 ("\\b{h}" ?Ṫ)
 ("\\\"{t}" ?ṫ)
 ("\\d{A}" ?Ṭ)
 ("\\d{a}" ?ṭ)
 ("\\d{\\^{A}}" ?Ṯ)
 ("\\d{\\^{a}}" ?ṯ)
 ("\\d{\\u{A}}" ?Ṱ)
 ("\\d{\\u{a}}" ?ṱ)
 ("\\d{E}" ?Ṳ)
 ("\\d{e}" ?ṳ)
 ("\\~{E}" ?Ṵ)
 ("\\~{e}" ?ṵ)
 ("\\d{\\^{E}}" ?Ṷ)
 ("\\d{\\^{e}}" ?ṷ)
 ("\\d{I}" ?Ṹ)
 ("\\d{i}" ?ṹ)
 ("\\d{O}" ?Ṻ)
 ("\\d{o}" ?ṻ)
 ("\\d{\\^{O}}" ?Ṽ)
 ("\\d{\\^{o}}" ?ṽ)
 ("\\d{U}" ?Ṿ)
 ("\\d{u}" ?ṿ)
 ("\\`{Y}" ?Ẁ)
 ("\\`{y}" ?ẁ)
 ("\\d{Y}" ?Ẃ)
 ("\\d{y}" ?ẃ)
 ("\\~{Y}" ?Ẅ)
 ("\\~{y}" ?ẅ)

 ("-" ?‐)
 ("---" ?—)
 ("||" ?‖)
 ("{`}" ?‘)
 ("{'}" ?’)
 ("{``}" ?“)
 ("{''}" ?”)
 ("{\\dag}" ?†)
 ("{\\ddag}" ?‡)
 ("1/3" ?⅓)
 ("2/3" ?⅔)
 ("1/6" ?⅙)
 ("1/8" ?⅛)
 ("$\\leftarrow$" ?←)
 ("$\\rightarrow$" ?→)
 ("$-$" ?−)
)

;;; latin.el ends here
