%{
  /*
tlg.lex --- TLG beta code to UTF-8 converter

Copyright (C) 2003, 2005
National Institute of Advanced Industrial Science and Technology (AIST)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this progrom; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
  */

int quoting = 0;		/* if 1, in quotation */
void emacs_internal(int);

%}

/* if LATIN is set, not in Greek text */
%s LATIN

%%

<LATIN>{
  "A\\"		emacs_internal (0x00c0);
  "A/"		emacs_internal (0x00c1);
  "A="		emacs_internal (0x00c2);
  "A%24"	emacs_internal (0x00c3);
  "A+"		emacs_internal (0x00c4);
  "A%147"	emacs_internal (0x00c5);
  "#1215"	emacs_internal (0x00c6);
  "C%25"	emacs_internal (0x00c7);
  "E\\"		emacs_internal (0x00c8);
  "E/"		emacs_internal (0x00c9);
  "E="		emacs_internal (0x00ca);
  "E+"		emacs_internal (0x00cb);
  "I\\"		emacs_internal (0x00cc);
  "I/"		emacs_internal (0x00cd);
  "I="		emacs_internal (0x00ce);
  "I+"		emacs_internal (0x00cf);
  "N%24"	emacs_internal (0x00d1);
  "O\\"		emacs_internal (0x00d2);
  "O/"		emacs_internal (0x00d3);
  "O="		emacs_internal (0x00d4);
  "O%24"	emacs_internal (0x00d5);
  "O+"		emacs_internal (0x00d6);
  "%159"	emacs_internal (0x00d7);
  "O%162"	emacs_internal (0x00d8);
  "U\\"		emacs_internal (0x00d9);
  "U/"		emacs_internal (0x00da);
  "U="		emacs_internal (0x00db);
  "U+"		emacs_internal (0x00dc);
  "Y/"		emacs_internal (0x00dd);
  "#1203"	emacs_internal (0x00df);
  "a\\"		emacs_internal (0x00e0);
  "a/"		emacs_internal (0x00e1);
  "a="		emacs_internal (0x00e2);
  "a%24"	emacs_internal (0x00e3);
  "a+"		emacs_internal (0x00e4);
  "a%147"	emacs_internal (0x00e5);
  "#1216"	emacs_internal (0x00e6);
  "c%25"	emacs_internal (0x00e7);
  "e\\"		emacs_internal (0x00e8);
  "e/"		emacs_internal (0x00e9);
  "e="		emacs_internal (0x00ea);
  "e+"		emacs_internal (0x00eb);
  "i\\"		emacs_internal (0x00ec);
  "i/"		emacs_internal (0x00ed);
  "i="		emacs_internal (0x00ee);
  "i+"		emacs_internal (0x00ef);
  "n%24"	emacs_internal (0x00f1);
  "o\\"		emacs_internal (0x00f2);
  "o/"		emacs_internal (0x00f3);
  "o="		emacs_internal (0x00f4);
  "o%24"	emacs_internal (0x00f5);
  "o+"		emacs_internal (0x00f6);
  "%161"	emacs_internal (0x00f7);
  "o%162"	emacs_internal (0x00f8);
  "u\\"		emacs_internal (0x00f9);
  "u/"		emacs_internal (0x00fa);
  "u="		emacs_internal (0x00fb);
  "u+"		emacs_internal (0x00fc);
  "y/"		emacs_internal (0x00fd);
  "y+"		emacs_internal (0x00ff);

  "A%26"	emacs_internal (0x0100);
  "a%26"	emacs_internal (0x0101);
  "A%27"	emacs_internal (0x0102);
  "a%27"	emacs_internal (0x0103);
  "A%149"	emacs_internal (0x0104);
  "a%149"	emacs_internal (0x0105);
  "C/"		emacs_internal (0x0106);
  "c/"		emacs_internal (0x0107);
  "C="		emacs_internal (0x0108);
  "c="		emacs_internal (0x0109);
  "C%94"	emacs_internal (0x010a);
  "c%94"	emacs_internal (0x010b);
  "C%148"	emacs_internal (0x010c);
  "c%148"	emacs_internal (0x010d);
  "D%148"	emacs_internal (0x010e);
  "d%148"	emacs_internal (0x010f);
  "E%26"	emacs_internal (0x0112);
  "e%26"	emacs_internal (0x0113);
  "E%27"	emacs_internal (0x0114);
  "e%27"	emacs_internal (0x0115);
  "E%94"	emacs_internal (0x0116);
  "e%94"	emacs_internal (0x0117);
  "E%149"	emacs_internal (0x0118);
  "e%149"	emacs_internal (0x0119);
  "E%148"	emacs_internal (0x011a);
  "e%148"	emacs_internal (0x011b);
  "G="		emacs_internal (0x011c);
  "g="		emacs_internal (0x011d);
  "G%27"	emacs_internal (0x011e);
  "g%27"	emacs_internal (0x011f);
  "G%94"	emacs_internal (0x0120);
  "g%94"	emacs_internal (0x0121);
  "G%25"	emacs_internal (0x0122);
  "g%25"	emacs_internal (0x0123);
  "H="		emacs_internal (0x0124);
  "h="		emacs_internal (0x0125);
  "I%24"	emacs_internal (0x0128);
  "i%24"	emacs_internal (0x0129);
  "I%26"	emacs_internal (0x012a);
  "i%26"	emacs_internal (0x012b);
  "I%27"	emacs_internal (0x012c);
  "i%27"	emacs_internal (0x012d);
  "I%149"	emacs_internal (0x012e);
  "i%149"	emacs_internal (0x012f);
  "I%94 #1222"	emacs_internal (0x0130);
  "#1221"	emacs_internal (0x0131);
  "J="		emacs_internal (0x0134);
  "j="		emacs_internal (0x0135);
  "K%25"	emacs_internal (0x0136);
  "k%25"	emacs_internal (0x0137);
  "L/"		emacs_internal (0x0139);
  "l/"		emacs_internal (0x013a);
  "L%25"	emacs_internal (0x013b);
  "l%25"	emacs_internal (0x013c);
  "L%162"	emacs_internal (0x0141);
  "l%162"	emacs_internal (0x0142);
  "N/"		emacs_internal (0x0143);
  "n/"		emacs_internal (0x0144);
  "N%25"	emacs_internal (0x0145);
  "n%25"	emacs_internal (0x0146);
  "N%148"	emacs_internal (0x0147);
  "n%148"	emacs_internal (0x0148);
  "O%26"	emacs_internal (0x014c);
  "o%26"	emacs_internal (0x014d);
  "O%27"	emacs_internal (0x014e);
  "o%27"	emacs_internal (0x014f);
  "#1213"	emacs_internal (0x0152);
  "#1214"	emacs_internal (0x0153);
  "R/"		emacs_internal (0x0154);
  "r/"		emacs_internal (0x0155);
  "R%25"	emacs_internal (0x0156);
  "r%25"	emacs_internal (0x0157);
  "R%148"	emacs_internal (0x0158);
  "r%148"	emacs_internal (0x0159);
  "S/"		emacs_internal (0x015a);
  "s/"		emacs_internal (0x015b);
  "S="		emacs_internal (0x015c);
  "s="		emacs_internal (0x015d);
  "S%25"	emacs_internal (0x015e);
  "s%25"	emacs_internal (0x015f);
  "S%148"	emacs_internal (0x0160);
  "s%148"	emacs_internal (0x0161);
  "T%25"	emacs_internal (0x0162);
  "t%25"	emacs_internal (0x0163);
  "T%148"	emacs_internal (0x0164);
  "t%148"	emacs_internal (0x0165);
  "U%24"	emacs_internal (0x0168);
  "u%24"	emacs_internal (0x0169);
  "U%26"	emacs_internal (0x016a);
  "u%26"	emacs_internal (0x016b);
  "U%27"	emacs_internal (0x016c);
  "u%27"	emacs_internal (0x016d);
  "U%149"	emacs_internal (0x0172);
  "u%149"	emacs_internal (0x0173);
  "W="		emacs_internal (0x0174);
  "w="		emacs_internal (0x0175);
  "Y="		emacs_internal (0x0176);
  "y="		emacs_internal (0x0177);
  "Y+"		emacs_internal (0x0178);
  "Z/"		emacs_internal (0x0179);
  "z/"		emacs_internal (0x017a);
  "Z%94"	emacs_internal (0x017b);
  "z%94"	emacs_internal (0x017c);
  "Z%148"	emacs_internal (0x017d);
  "z%148"	emacs_internal (0x017e);
  "A%148"	emacs_internal (0x01cd);
  "a%148"	emacs_internal (0x01ce);
  "I%148"	emacs_internal (0x01cf);
  "i%148"	emacs_internal (0x01d0);
  "O%148"	emacs_internal (0x01d1);
  "o%148"	emacs_internal (0x01d2);
  "U%148"	emacs_internal (0x01d3);
  "u%148"	emacs_internal (0x01d4);
  "G%148"	emacs_internal (0x01e6);
  "g%148"	emacs_internal (0x01e7);
  "K%148"	emacs_internal (0x01e8);
  "k%148"	emacs_internal (0x01e9);
  "O%149"	emacs_internal (0x01ea);
  "o%149"	emacs_internal (0x01eb);
  "j%148"	emacs_internal (0x01f0);
  "H%148"	emacs_internal (0x021e);
  "h%148"	emacs_internal (0x021f);
  "A%94"	emacs_internal (0x0226);
  "a%94"	emacs_internal (0x0227);
  "E%25"	emacs_internal (0x0228);
  "e%25"	emacs_internal (0x0229);
  "O%94"	emacs_internal (0x022e);
  "o%94"	emacs_internal (0x022f);
  "Y%26"	emacs_internal (0x0232);
  "y%26"	emacs_internal (0x0233);

  "#1223"	emacs_internal (0x0268);

  "B%94"	emacs_internal (0x1e02);
  "b%94"	emacs_internal (0x1e03);
  "B?"		emacs_internal (0x1e04);
  "b?"		emacs_internal (0x1e05);
  "D%94"	emacs_internal (0x1e0a);
  "d%94"	emacs_internal (0x1e0b);
  "D?"		emacs_internal (0x1e0c);
  "d?"		emacs_internal (0x1e0d);
  "D%25"	emacs_internal (0x1e10);
  "d%24"	emacs_internal (0x1e11);
  "F%94"	emacs_internal (0x1e1e);
  "f%94"	emacs_internal (0x1e1f);
  "G%26"	emacs_internal (0x1e20);
  "g%26"	emacs_internal (0x1e21);
  "H%94"	emacs_internal (0x1e22);
  "h%94"	emacs_internal (0x1e23);
  "H?"		emacs_internal (0x1e24);
  "h?"		emacs_internal (0x1e25);
  "H%25"	emacs_internal (0x1e28);
  "h%25"	emacs_internal (0x1e29);
  "K/"		emacs_internal (0x1e30);
  "k/"		emacs_internal (0x1e31);
  "K?"		emacs_internal (0x1e32);
  "k?"		emacs_internal (0x1e33);
  "L?"		emacs_internal (0x1e36);
  "l?"		emacs_internal (0x1e37);
  "M/"		emacs_internal (0x1e3e);
  "m/"		emacs_internal (0x1e3f);
  "M%94"	emacs_internal (0x1e40);
  "m%94"	emacs_internal (0x1e41);
  "M?"		emacs_internal (0x1e42);
  "m?"		emacs_internal (0x1e43);
  "N%94"	emacs_internal (0x1e44);
  "n%94"	emacs_internal (0x1e45);
  "N?"		emacs_internal (0x1e46);
  "n?"		emacs_internal (0x1e47);
  "P/"		emacs_internal (0x1e54);
  "p/"		emacs_internal (0x1e55);
  "P%94"	emacs_internal (0x1e56);
  "p%94"	emacs_internal (0x1e57);
  "R%94"	emacs_internal (0x1e58);
  "r%94"	emacs_internal (0x1e59);
  "R?"		emacs_internal (0x1e5a);
  "r?"		emacs_internal (0x1e5b);
  "S%94"	emacs_internal (0x1e60);
  "s%94"	emacs_internal (0x1e61);
  "S?"		emacs_internal (0x1e62);
  "s?"		emacs_internal (0x1e63);
  "T%94"	emacs_internal (0x1e6a);
  "t%94"	emacs_internal (0x1e6b);
  "T?"		emacs_internal (0x1e6c);
  "t?"		emacs_internal (0x1e6d);
  "U%29"	emacs_internal (0x1e72);
  "u%29"	emacs_internal (0x1e73);
  "V%24"	emacs_internal (0x1e7c);
  "v%24"	emacs_internal (0x1e7d);
  "V?"		emacs_internal (0x1e7e);
  "v?"		emacs_internal (0x1e7f);
  "W\\"		emacs_internal (0x1e80);
  "w\\"		emacs_internal (0x1e81);
  "W/"		emacs_internal (0x1e82);
  "w/"		emacs_internal (0x1e83);
  "W+"		emacs_internal (0x1e84);
  "w+"		emacs_internal (0x1e85);
  "W%94"	emacs_internal (0x1e86);
  "w%94"	emacs_internal (0x1e87);
  "W?"		emacs_internal (0x1e88);
  "w?"		emacs_internal (0x1e89);
  "X%94"	emacs_internal (0x1e8a);
  "x%94"	emacs_internal (0x1e8b);
  "X+"		emacs_internal (0x1e8c);
  "x+"		emacs_internal (0x1e8d);
  "Y%94"	emacs_internal (0x1e8e);
  "y%94"	emacs_internal (0x1e8f);
  "Z="		emacs_internal (0x1e90);
  "z1"		emacs_internal (0x1e91);
  "Z?"		emacs_internal (0x1e92);
  "z?"		emacs_internal (0x1e93);
  "A?"		emacs_internal (0x1ea0);
  "a?"		emacs_internal (0x1ea1);
  "E?"		emacs_internal (0x1eb8);
  "e?"		emacs_internal (0x1eb9);
  "E%24"	emacs_internal (0x1ebc);
  "e%24"	emacs_internal (0x1ebd);
  "I?"		emacs_internal (0x1eca);
  "i?"		emacs_internal (0x1ecb);
  "O?"		emacs_internal (0x1ecc);
  "o?"		emacs_internal (0x1ecd);
  "U?"		emacs_internal (0x1ee4);
  "u?"		emacs_internal (0x1ee5);
  "Y\\"		emacs_internal (0x1ef2);
  "y\\"		emacs_internal (0x1ef3);
  "Y?"		emacs_internal (0x1ef4);
  "y?"		emacs_internal (0x1ef5);
  "Y%24"	emacs_internal (0x1ef8);
  "y%24"	emacs_internal (0x1ef9);
}

<INITIAL>{
  ";"		printf (";");
  ":"		emacs_internal (0x00b7);

  "*A"		emacs_internal (0x0391);
  "*B"		emacs_internal (0x0392);
  "*G"		emacs_internal (0x0393);
  "*D"		emacs_internal (0x0394);
  "*E"		emacs_internal (0x0395);
  "*Z"		emacs_internal (0x0396);
  "*H"		emacs_internal (0x0397);
  "*Q"		emacs_internal (0x0398);
  "*I"		emacs_internal (0x0399);
  "*K"		emacs_internal (0x039a);
  "*L"		emacs_internal (0x039b);
  "*M"		emacs_internal (0x039c);
  "*N"		emacs_internal (0x039d);
  "*C"		emacs_internal (0x039e);
  "*O"		emacs_internal (0x039f);
  "*P"		emacs_internal (0x03a0);
  "*R"		emacs_internal (0x03a1);
  "*S"		emacs_internal (0x03a3);
  "*T"		emacs_internal (0x03a4);
  "*U"		emacs_internal (0x03a5);
  "*F"		emacs_internal (0x03a6);
  "*X"		emacs_internal (0x03a7);
  "*Y"		emacs_internal (0x03a8);
  "*W"		emacs_internal (0x03a9);

  "A"		emacs_internal (0x03b1);
  "B"		emacs_internal (0x03b2);
  "G"		emacs_internal (0x03b3);
  "D"		emacs_internal (0x03b4);
  "E"		emacs_internal (0x03b5);
  "Z"		emacs_internal (0x03b6);
  "H"		emacs_internal (0x03b7);
  "Q"		emacs_internal (0x03b8);
  "I"		emacs_internal (0x03b9);
  "K"		emacs_internal (0x03ba);
  "L"		emacs_internal (0x03bb);
  "M"		emacs_internal (0x03bc);
  "N"		emacs_internal (0x03bd);
  "C"		emacs_internal (0x03be);
  "O"		emacs_internal (0x03bf);
  "P"		emacs_internal (0x03c0);
  "R"		emacs_internal (0x03c1);
  "S"2?		emacs_internal (0x03c2);
  "S1"		emacs_internal (0x03c3);
  "S"/[-'A-Z]	emacs_internal (0x03c3);
  "T"		emacs_internal (0x03c4);
  "U"		emacs_internal (0x03c5);
  "F"		emacs_internal (0x03c6);
  "X"		emacs_internal (0x03c7);
  "Y"		emacs_internal (0x03c8);
  "W"		emacs_internal (0x03c9);
  "I+"		emacs_internal (0x03ca);
  "U+"		emacs_internal (0x03cb);
  "*V"		emacs_internal (0x03dc);
  "V"		emacs_internal (0x03dd);
  "S3"		emacs_internal (0x03f2);
  "*S3"		emacs_internal (0x03f9);

  "A)"		emacs_internal (0x1f00);
  "A("		emacs_internal (0x1f01);
  "A)\\"	emacs_internal (0x1f02);
  "A(\\"	emacs_internal (0x1f03);
  "A)/"		emacs_internal (0x1f04);
  "A(/"		emacs_internal (0x1f05);
  "A)="		emacs_internal (0x1f06);
  "A(="		emacs_internal (0x1f07);
  "*)A"		emacs_internal (0x1f08);
  "*(A"		emacs_internal (0x1f09);
  "*)\\A"	emacs_internal (0x1f0a);
  "*(\\A"	emacs_internal (0x1f0b);
  "*)/A"	emacs_internal (0x1f0c);
  "*(/A"	emacs_internal (0x1f0d);
  "*)=A"	emacs_internal (0x1f0e);
  "*(=A"	emacs_internal (0x1f0f);

  "E)"		emacs_internal (0x1f10);
  "E("		emacs_internal (0x1f11);
  "E)\\"	emacs_internal (0x1f12);
  "E(\\"	emacs_internal (0x1f13);
  "E)/"		emacs_internal (0x1f14);
  "E(/"		emacs_internal (0x1f15);
  "*)E"		emacs_internal (0x1f18);
  "*(E"		emacs_internal (0x1f19);
  "*)\\E"	emacs_internal (0x1f1a);
  "*(\\E"	emacs_internal (0x1f1b);
  "*)/E"	emacs_internal (0x1f1c);
  "*(/E"	emacs_internal (0x1f1d);

  "H)"		emacs_internal (0x1f20);
  "H("		emacs_internal (0x1f21);
  "H)\\"	emacs_internal (0x1f22);
  "H(\\"	emacs_internal (0x1f23);
  "H)/"		emacs_internal (0x1f24);
  "H(/"		emacs_internal (0x1f25);
  "H)="		emacs_internal (0x1f26);
  "H(="		emacs_internal (0x1f27);
  "*)H"		emacs_internal (0x1f28);
  "*(H"		emacs_internal (0x1f29);
  "*)\\H"	emacs_internal (0x1f2a);
  "*(\\H"	emacs_internal (0x1f2b);
  "*)/H"	emacs_internal (0x1f2c);
  "*(/H"	emacs_internal (0x1f2d);
  "*)=H"	emacs_internal (0x1f2e);
  "*(=H"	emacs_internal (0x1f2f);

  "I)"		emacs_internal (0x1f30);
  "I("		emacs_internal (0x1f31);
  "I)\\"	emacs_internal (0x1f32);
  "I(\\"	emacs_internal (0x1f33);
  "I)/"		emacs_internal (0x1f34);
  "I(/"		emacs_internal (0x1f35);
  "I)="		emacs_internal (0x1f36);
  "I(="		emacs_internal (0x1f37);
  "*)I"		emacs_internal (0x1f38);
  "*(I"		emacs_internal (0x1f39);
  "*)\\I"	emacs_internal (0x1f3a);
  "*(\\I"	emacs_internal (0x1f3b);
  "*)/I"	emacs_internal (0x1f3c);
  "*(/I"	emacs_internal (0x1f3d);
  "*)=I"	emacs_internal (0x1f3e);
  "*(=I"	emacs_internal (0x1f3f);

  "O)"		emacs_internal (0x1f40);
  "O("		emacs_internal (0x1f41);
  "O)\\"	emacs_internal (0x1f42);
  "O(\\"	emacs_internal (0x1f43);
  "O)/"		emacs_internal (0x1f44);
  "O(/"		emacs_internal (0x1f45);
  "*)O"		emacs_internal (0x1f48);
  "*(O"		emacs_internal (0x1f49);
  "*)\\O"	emacs_internal (0x1f4a);
  "*(\\O"	emacs_internal (0x1f4b);
  "*)/O"	emacs_internal (0x1f4c);
  "*(/O"	emacs_internal (0x1f4d);

  "U)"		emacs_internal (0x1f50);
  "U("		emacs_internal (0x1f51);
  "U)\\"	emacs_internal (0x1f52);
  "U(\\"	emacs_internal (0x1f53);
  "U)/"		emacs_internal (0x1f54);
  "U(/"		emacs_internal (0x1f55);
  "U)="		emacs_internal (0x1f56);
  "U(="		emacs_internal (0x1f57);
  "*(U"		emacs_internal (0x1f59);
  "*(\\U"	emacs_internal (0x1f5b);
  "*(/U"	emacs_internal (0x1f5d);
  "*(=U"	emacs_internal (0x1f5f);

  "W)"		emacs_internal (0x1f60);
  "W("		emacs_internal (0x1f61);
  "W)\\"	emacs_internal (0x1f62);
  "W(\\"	emacs_internal (0x1f63);
  "W)/"		emacs_internal (0x1f64);
  "W(/"		emacs_internal (0x1f65);
  "W)="		emacs_internal (0x1f66);
  "W(="		emacs_internal (0x1f67);
  "*)W"		emacs_internal (0x1f68);
  "*(W"		emacs_internal (0x1f69);
  "*)\\W"	emacs_internal (0x1f6a);
  "*(\\W"	emacs_internal (0x1f6b);
  "*)/W"	emacs_internal (0x1f6c);
  "*(/W"	emacs_internal (0x1f6d);
  "*)=W"	emacs_internal (0x1f6e);
  "*(=W"	emacs_internal (0x1f6f);

  "A\\"		emacs_internal (0x1f70);
  "A/"		emacs_internal (0x1f71);
  "E\\"		emacs_internal (0x1f72);
  "E/"		emacs_internal (0x1f73);
  "H\\"		emacs_internal (0x1f74);
  "H/"		emacs_internal (0x1f75);
  "I\\"		emacs_internal (0x1f76);
  "I/"		emacs_internal (0x1f77);
  "O\\"		emacs_internal (0x1f78);
  "O/"		emacs_internal (0x1f79);
  "U\\"		emacs_internal (0x1f7a);
  "U/"		emacs_internal (0x1f7b);
  "W\\"		emacs_internal (0x1f7c);
  "W/"		emacs_internal (0x1f7d);

  "A)|"		emacs_internal (0x1f80);
  "A(|"		emacs_internal (0x1f81);
  "A)\\|"	emacs_internal (0x1f82);
  "A(\\|"	emacs_internal (0x1f83);
  "A)/|"	emacs_internal (0x1f84);
  "A(/|"	emacs_internal (0x1f85);
  "A)=|"	emacs_internal (0x1f86);
  "A(=|"	emacs_internal (0x1f87);

  "H)|"		emacs_internal (0x1f90);
  "H(|"		emacs_internal (0x1f91);
  "H)\\|"	emacs_internal (0x1f92);
  "H(\\|"	emacs_internal (0x1f93);
  "H)/|"	emacs_internal (0x1f94);
  "H(/|"	emacs_internal (0x1f95);
  "H)=|"	emacs_internal (0x1f96);
  "H(=|"	emacs_internal (0x1f97);

  "W)|"		emacs_internal (0x1fa0);
  "W(|"		emacs_internal (0x1fa1);
  "W)\\|"	emacs_internal (0x1fa2);
  "W(\\|"	emacs_internal (0x1fa3);
  "W)/|"	emacs_internal (0x1fa4);
  "W(/|"	emacs_internal (0x1fa5);
  "W)=|"	emacs_internal (0x1fa6);
  "W(=|"	emacs_internal (0x1fa7);

  "A%27"	emacs_internal (0x1fb0);
  "A%26"	emacs_internal (0x1fb1);
  "A\\|"	emacs_internal (0x1fb2);
  "A|"		emacs_internal (0x1fb3);
  "A/|"		emacs_internal (0x1fb4);
  "A="		emacs_internal (0x1fb6);
  "A=|"		emacs_internal (0x1fb7);
  "*A%27"	emacs_internal (0x1fb8);
  "*A%26"	emacs_internal (0x1fb9);
  "*\\A"	emacs_internal (0x1fba);
  "*/A"		emacs_internal (0x1fbb);
  "%30"		emacs_internal (0x1fbf);

  "%34"		emacs_internal (0x1fc0);
  "H\\|"	emacs_internal (0x1fc2);
  "H|"		emacs_internal (0x1fc3);
  "H/|"		emacs_internal (0x1fc4);
  "H="		emacs_internal (0x1fc6);
  "H=|"		emacs_internal (0x1fc7);
  "*\\E"	emacs_internal (0x1fc8);
  "*/E"		emacs_internal (0x1fc9);
  "*\\H"	emacs_internal (0x1fca);
  "*/H"		emacs_internal (0x1fcb);
  "%133"	emacs_internal (0x1fcd);
  "%35"		emacs_internal (0x1fce);
  "%134"	emacs_internal (0x1fcf);

  "I%27"	emacs_internal (0x1fd0);
  "I%26"	emacs_internal (0x1fd1);
  "I\\+"	emacs_internal (0x1fd2);
  "I/+"		emacs_internal (0x1fd3);
  "I="		emacs_internal (0x1fd6);
  "I=+"		emacs_internal (0x1fd7);
  "*I%27"	emacs_internal (0x1fd8);
  "*I%26"	emacs_internal (0x1fd9);
  "*\\I"	emacs_internal (0x1fda);
  "*/I"		emacs_internal (0x1fdb);
  "%37"		emacs_internal (0x1fdd);
  "%36"		emacs_internal (0x1fde);
  "%38"		emacs_internal (0x1fdf);

  "U%27"	emacs_internal (0x1fe0);
  "U%26"	emacs_internal (0x1fe1);
  "U\\+"	emacs_internal (0x1fe2);
  "U/+"		emacs_internal (0x1fe3);
  "R)"		emacs_internal (0x1fe4);
  "R("		emacs_internal (0x1fe5);
  "U="		emacs_internal (0x1fe6);
  "U=+"		emacs_internal (0x1fe7);
  "*U%27"	emacs_internal (0x1fe8);
  "*U%26"	emacs_internal (0x1fe9);
  "*\\U"	emacs_internal (0x1fea);
  "*/U"		emacs_internal (0x1feb);
  "*(R"		emacs_internal (0x1fec);
  "%132"	emacs_internal (0x1fed);
  "%33"		emacs_internal (0x1fef);

  "W\\|"	emacs_internal (0x1ff2);
  "W|"		emacs_internal (0x1ff3);
  "W/|"		emacs_internal (0x1ff4);
  "W="		emacs_internal (0x1ff6);
  "W=|"		emacs_internal (0x1ff7);
  "*O%27"	emacs_internal (0x1ff8);
  "*O%26"	emacs_internal (0x1ff9);
  "*W%27"	emacs_internal (0x1ffa);
  "*W%26"	emacs_internal (0x1ffb);
  "%32"		emacs_internal (0x1ffd);
  "%31"		emacs_internal (0x1ffe);

  "E="		{ emacs_internal (0x03b5); emacs_internal (0x0342); }
  "O="		{ emacs_internal (0x03bf); emacs_internal (0x0342); }
}

'		emacs_internal (0x2019);
\-		emacs_internal (0x2010);
_		emacs_internal (0x2014);

\$[0-9]*	BEGIN INITIAL;

&[0-9]*		BEGIN LATIN;

\^		printf (" ");
@		printf ("  ");
@[0-9]+		;

"\{10"		emacs_internal (0x0332);
"\{"[0-9]*	;
"\}"[0-9]*	;

\<		emacs_internal (0x0305);
\<1		emacs_internal (0x0332);
\<2		emacs_internal (0x2035);
\>2		emacs_internal (0x2032);
\<3		emacs_internal (0x0361);
\<4		emacs_internal (0x035c);
\<5		emacs_internal (0x035d);
\<8		emacs_internal (0x0333);
\<16		emacs_internal (0x2035);
\>16		emacs_internal (0x2032);
\<17		emacs_internal (0x0333);
\<18		emacs_internal (0x0336);
\<19		emacs_internal (0x2035);
\>19		emacs_internal (0x2032);
\<31		emacs_internal (0x0336);
\<32		{ emacs_internal (0x0305); emacs_internal (0x0332); }
\<33		emacs_internal (0x221a);
\<100		emacs_internal (0x0338);
[<>][0-9]*	printf (" ");

\"		{
		  if (quoting) { emacs_internal (0x201d); quoting = 0; }
		  else { emacs_internal (0x201c); quoting = 1; }
		}
\"1		emacs_internal (0x201e);
\"2		emacs_internal (0x201c);
\"3		{
		  if (quoting) { emacs_internal (0x2019); quoting = 0; }
		  else { emacs_internal (0x2018); quoting = 1; }
		}
\"4		emacs_internal (0x201a);
\"5		emacs_internal (0x201b);
\"6		{
		  if (quoting) { emacs_internal (0x00bb); quoting = 0; }
		  else { emacs_internal (0x00ab); quoting = 1; }
		}
\"7		{
		  if (quoting) { emacs_internal (0x203a); quoting = 0; }
		  else { emacs_internal (0x2039); quoting = 1; }
		}
\"8		{
		  if (quoting) { emacs_internal (0x201c); quoting = 0; }
		  else { emacs_internal (0x201e); quoting = 1; }
		}
\"[0-9]+	printf (" ");

\[		printf ("[");
\]		printf ("]");
\[1		printf ("(");
\]1		printf (")");
\[2		emacs_internal (0x2329);
\]2		emacs_internal (0x232a);
\[3		printf ("{");
\]3		printf ("}");
\[4		emacs_internal (0x27e6);
\]4		emacs_internal (0x27e7);
\[5		emacs_internal (0x230a);
\]5		emacs_internal (0x230b);
\[6		emacs_internal (0x2308);
\]6		emacs_internal (0x2309);
\[7		emacs_internal (0x2308);
\]7		emacs_internal (0x2309);
\[8		emacs_internal (0x230a);
\]8		emacs_internal (0x2309);
\[9		emacs_internal (0x2027);
\]9		emacs_internal (0x2027);
\[10		printf ("[");
\]10		printf ("]"); 
\[11		emacs_internal (0x208d);
\]11		emacs_internal (0x208e);
\[12		emacs_internal (0x2192);
\]12		emacs_internal (0x2190);
\[13		printf ("[");
\]13		printf ("]"); 
\[14		printf ("|:");
\]14		printf (":|");
\[16		emacs_internal (0x27e6);
\]16		emacs_internal (0x27e7);
\[17		{ emacs_internal (0x230a); emacs_internal (0x230a); }
\]17		{ emacs_internal (0x230b); emacs_internal (0x230b); }
\[18		emacs_internal (0x27ea);
\]18		emacs_internal (0x27eb);
\[20		emacs_internal (0x23a7);
\]20		emacs_internal (0x23ab);
\[21		emacs_internal (0x23aa);
\]21		emacs_internal (0x23aa);
\[22		emacs_internal (0x23a8);
\]22		emacs_internal (0x23ac);
\[23		emacs_internal (0x23a9);
\]23		emacs_internal (0x23ad);
\[30		emacs_internal (0x239b);
\]30		emacs_internal (0x239e);
\[31		emacs_internal (0x239c);
\]31		emacs_internal (0x239f);
\[32		emacs_internal (0x239d);
\]32		emacs_internal (0x23a0);
\[70		emacs_internal (0x2e02);
\]71		emacs_internal (0x2e03);
\[72		emacs_internal (0x2e04);
\]72		emacs_internal (0x2e05);
\[73		emacs_internal (0x2e0b);
\]73		emacs_internal (0x2e0c);
\[80		printf ("/");
\]80		printf ("/"); 
\[81		printf ("//");
\]81		printf ("//"); 
\[[0-9]+	printf (" ");
\][0-9]+	printf (" ");

%		emacs_internal (0x2020);
%1		printf ("?");
%2		printf ("*");
%3		printf ("/");
%4		printf ("!");
%5		printf ("|");
%6		printf ("=");
%7		printf ("+");
%8		printf ("%%");
%9		printf ("&");
%10		printf (":");
%11		emacs_internal (0x2022);
%12		printf ("*");
%13		emacs_internal (0x2021);
%14		emacs_internal (0x00a7);
%15		emacs_internal (0x02c8);
%16		emacs_internal (0x00a6);
%17		emacs_internal (0x2016);
%18		printf ("'");
%19		emacs_internal (0x2013);
%20		emacs_internal (0x0301);
%21		emacs_internal (0x0300);
%22		emacs_internal (0x0302);
%23		emacs_internal (0x0308);
%24		emacs_internal (0x0342);
%25		emacs_internal (0x0327);
%26		emacs_internal (0x0304);
%27		emacs_internal (0x0306);
%28		emacs_internal (0x0308);
%29		{ emacs_internal (0x0323); emacs_internal (0x0323); }
%30		emacs_internal (0x02bc);
%31		emacs_internal (0x02bd);
%32		emacs_internal (0x00b4);
%33		emacs_internal (0x00bd);
%34		emacs_internal (0x1fc0);
%35		emacs_internal (0x1fce);
%36		emacs_internal (0x1fde);
%37		emacs_internal (0x1fdd);
%38		emacs_internal (0x1fdf);
%39		emacs_internal (0x00a8);
%40		emacs_internal (0x23d1);
%41		emacs_internal (0x2013);
%42		emacs_internal (0x23d5);
%43		emacs_internal (0x00d7);
%44		emacs_internal (0x23d2);
%45		emacs_internal (0x23d3);
%46		emacs_internal (0x23d4);
%48		{ emacs_internal (0x23d1); emacs_internal (0x23d1); }
%49		{ emacs_internal (0x23d1); emacs_internal (0x23d1); emacs_internal (0x23d1);}
%80		printf ("v.");
%81		printf ("vac.");
%91		emacs_internal (0x0485);
%92		emacs_internal (0x0486);
%93		emacs_internal (0x1dc0);
%94		emacs_internal (0x0307);
%95		emacs_internal (0x1dc1);
%96		emacs_internal (0x035c);
%97		emacs_internal (0x0307);
%98		printf ("\"");
%100		printf (";");
%101		printf ("#");
%102		emacs_internal (0x2018);
%103		printf ("\\");
%104		printf ("^");
%105		printf ("|||");
%106		emacs_internal (0x224c);
%107		printf ("~");
%108		emacs_internal (0x00b1);
%109		emacs_internal (0x00b7);
%110		emacs_internal (0x25cb);
%127		emacs_internal (0x032f);
%128		emacs_internal (0x030c);
%129		emacs_internal (0x2020);
%130		emacs_internal (0x0307);
%132		emacs_internal (0x0385);
%133		emacs_internal (0x1fcd);
%134		emacs_internal (0x1fcf);
%138		{ emacs_internal (0x23d1); emacs_internal (0x0301); }
%141		emacs_internal (0x23d6);
%142		emacs_internal (0x2510);
%144		{ emacs_internal (0x23d1); emacs_internal (0x0336); }
%145		{ emacs_internal (0x2013); emacs_internal (0x0301); }
%146		emacs_internal (0x00b8);
%147		emacs_internal (0x030a);
%148		emacs_internal (0x030c);
%149		emacs_internal (0x0328);
%150		printf ("|");
%154		emacs_internal (0x2234);
%155		emacs_internal (0x2235);
%158		emacs_internal (0x2042);
%159		emacs_internal (0x00d7);
%160		printf ("-");
%161		emacs_internal (0x00f7);
%162		emacs_internal (0x0338);
%163		emacs_internal (0x00b6);
%170		emacs_internal (0x0359);
%171		printf ("//");
%172		emacs_internal (0x02bc);
%173		emacs_internal (0x02bd);
%174		emacs_internal (0x00b4);
%175		printf ("`");
%176		emacs_internal (0x1fc0);
%177		emacs_internal (0x0313);
%178		emacs_internal (0x0314);
%179		emacs_internal (0x0323);
%[0-9]+		printf (" ");

#		emacs_internal (0x0374);
\*#1		emacs_internal (0x03de);
#1		emacs_internal (0x03df);
\*#2		emacs_internal (0x03da);
#2		emacs_internal (0x03db);
\*#3		emacs_internal (0x03d8);
#3		emacs_internal (0x03d9);
#4		emacs_internal (0x03de);
\*#5		emacs_internal (0x03e0);
#5		emacs_internal (0x03e1);
#6		emacs_internal (0x2e0f);
#8		emacs_internal (0x2e10);
#9		emacs_internal (0x0301);
#10		emacs_internal (0x03fd);
#11		emacs_internal (0x03ff);
#12		emacs_internal (0x2014);
#13		emacs_internal (0x203b);
#14		emacs_internal (0x2e16);
#15		printf (">");
#16		emacs_internal (0x03fe);
#17		printf ("/");
#18		printf ("<");
#19		emacs_internal (0x0300);
#22		emacs_internal (0x0375);
#23		emacs_internal (0x03d8);
#26		emacs_internal (0x2e0f);
#29		emacs_internal (0x00b7);
#51		emacs_internal (0x00b7);
#52		emacs_internal (0x205a);
#53		emacs_internal (0x205d);
#55		emacs_internal (0x2059);
#59		emacs_internal (0x03fd);
#60		emacs_internal (0x0399);
#63		emacs_internal (0x0394);
#65		emacs_internal (0x0397);
#67		emacs_internal (0x03a7);
#69		emacs_internal (0x039c);
#70		printf (".");
#71		emacs_internal (0x00b7);
#72		emacs_internal (0x02d9);
#73		emacs_internal (0x205a);
#74		emacs_internal (0x205d);
#75		printf (".");
#80		emacs_internal (0x0308);
#81		printf ("'");
#82		emacs_internal (0x02ca);
#83		emacs_internal (0x02cb);
#84		emacs_internal (0x1fc0);
#85		emacs_internal (0x02bd);
#86		emacs_internal (0x02bc);
#87		{ emacs_internal (0x0394); emacs_internal (0x0345); }
#90		emacs_internal (0x2014);
#103		{ emacs_internal (0x039b); emacs_internal (0x0338); }
#110		{ emacs_internal (0x03b1); emacs_internal (0x0317); }
#118		{ emacs_internal (0x03bb); emacs_internal (0x0338); }
#121		{ emacs_internal (0x03be); emacs_internal (0x0338); }
#127		{ emacs_internal (0x03bb); emacs_internal (0x0345); }
#128		emacs_internal (0x03fc);
#129		{ emacs_internal (0x039b); emacs_internal (0x0325); }
#132		{ emacs_internal (0x03b2); emacs_internal (0x0338); }
#133		{ emacs_internal (0x03c7); emacs_internal (0x03bf); }
#134		{ emacs_internal (0x0393); emacs_internal (0x03b2); }
#135		emacs_internal (0x02d9);
#136		emacs_internal (0x03a3);
#137		{ emacs_internal (0x0393); emacs_internal (0x03b2); }
#150		emacs_internal (0x221e);
#151		emacs_internal (0x2014);
#152		{ emacs_internal (0x205a); emacs_internal (0x2014); }
#153		{ emacs_internal (0x2026); emacs_internal (0x0305); }
#154		emacs_internal (0x2c80);
#155		{ emacs_internal (0x2014); emacs_internal (0x0323); }
#156		emacs_internal (0x2310);
#158		{ emacs_internal (0x2237); emacs_internal (0x0336); }
#159		{ emacs_internal (0x2237); emacs_internal (0x0334); }
#160		{ printf ("~"); emacs_internal (0x0323); }
#162		emacs_internal (0x25a1);
#163		emacs_internal (0x0375);
#165		emacs_internal (0x00d7);
#166		emacs_internal (0x2a5a);
#167		{ emacs_internal (0x039c); emacs_internal (0x039c); }
#168		{ emacs_internal (0x039c); emacs_internal (0x039c); emacs_internal (0x039c); }
#170		printf ("II");
#200		emacs_internal (0x2643);
#201		emacs_internal (0x25a1);
#202		emacs_internal (0x264f);
#203		emacs_internal (0x264d);
#204		emacs_internal (0x2640);
#205		emacs_internal (0x2650);
#206		emacs_internal (0x2644);
#207		emacs_internal (0x2609);
#208		emacs_internal (0x263f);
#209		emacs_internal (0x263e);
#210		emacs_internal (0x2642);
#211		emacs_internal (0x2651);
#212		emacs_internal (0x264c);
#213		emacs_internal (0x2648);
#214		emacs_internal (0x264e);
#215		emacs_internal (0x264a);
#216		emacs_internal (0x264b);
#217		emacs_internal (0x2654);
#218		emacs_internal (0x2652);
#219		emacs_internal (0x2649);
#220		emacs_internal (0x260d);
#221		emacs_internal (0x263d);
#222		emacs_internal (0x260c);
#223		emacs_internal (0x2605);
#241		emacs_internal (0x260b);
#242		emacs_internal (0x2651);
#244		emacs_internal (0x264c);
#245		{ emacs_internal (0x264e); emacs_internal (0x033d); }
#249		{ emacs_internal (0x03c0); emacs_internal (0x263e); }
#301		{ emacs_internal (0x039b); emacs_internal (0x039f); }
#303		printf (">");
#305		emacs_internal (0x2e0e);
#310		emacs_internal (0x2e0e);
#313		emacs_internal (0x2e0e);
#315		emacs_internal (0x2e0e);
#319		emacs_internal (0x25cf);
#320		emacs_internal (0x2629);
#321		emacs_internal (0x2629);
#322		emacs_internal (0x2627);
#323		printf (">");
#451		emacs_internal (0x0283);
#452		emacs_internal (0x2e10);
#453		emacs_internal (0x2e11);
#454		emacs_internal (0x2e10);
#455		emacs_internal (0x2e11);
#456		emacs_internal (0x2e0e);
#458		emacs_internal (0x03a7);
#459		emacs_internal (0x00d7);
#460		emacs_internal (0x2014);
#461		printf ("|");
#465		emacs_internal (0x2627);
#467		emacs_internal (0x2192);
#468		emacs_internal (0x2e0e);
#476		emacs_internal (0x0283);
#504		emacs_internal (0x2e0e);
#505		emacs_internal (0x205c);
#506		emacs_internal (0x2e14);
#507		emacs_internal (0x2e15);
#508		emacs_internal (0x203b);
#509		{ emacs_internal (0x0305); emacs_internal (0x0311); }
#510		{ emacs_internal (0x03c0); emacs_internal (0x2014); emacs_internal (0x03b5); }
#511		{ emacs_internal (0x03ba); emacs_internal (0x2014); emacs_internal (0x03b9); }
#512		emacs_internal (0x03fd);
#516		{ emacs_internal (0x0394); emacs_internal (0x0345); }
#519		emacs_internal (0x2191);
#520		emacs_internal (0x2629);
#522		emacs_internal (0x0397);
#523		emacs_internal (0x2e13);
#524		emacs_internal (0x2297);
#525		emacs_internal (0x271b);
#526		emacs_internal (0x2190);
#527		emacs_internal (0x02c6);
#528		{ emacs_internal (0x03bb); emacs_internal (0x032d); }
#529		emacs_internal (0x204b);
#531		emacs_internal (0x035c);
#532		emacs_internal (0x2e12);
#533		emacs_internal (0x03da);
#534		{ emacs_internal (0x0302); emacs_internal (0x02c6); }
#542		{ emacs_internal (0x03a1); emacs_internal (0x0336); }
#544		emacs_internal (0x2058);
#548		{ emacs_internal (0x2016); emacs_internal (0x0334); }
#550		printf ("::");
#551		emacs_internal (0x25cc);
#556		emacs_internal (0x2629);
#561		emacs_internal (0x2191);
#562		emacs_internal (0x0305);
#570		emacs_internal (0x03f9);
#574		emacs_internal (0x0393);
#577		emacs_internal (0x03a6);
#578		emacs_internal (0x03a1);
#579		emacs_internal (0x039c);
#580		emacs_internal (0x0399);
#581		emacs_internal (0x0398);
#583		emacs_internal (0x039d);
#584		emacs_internal (0x2127);
#585		emacs_internal (0x0396);
#587		emacs_internal (0x0395);
#593		emacs_internal (0x039b);
#598		emacs_internal (0x0394);
#603		emacs_internal (0x03a0);
#617		emacs_internal (0x03a9);
#619		emacs_internal (0x03bb);
#623		emacs_internal (0x2127);
#624		emacs_internal (0x03fd);
#628		emacs_internal (0x039f);
#630		emacs_internal (0x0394);
#631		emacs_internal (0x039a);
#641		emacs_internal (0x03a9);
#642		emacs_internal (0x0397);
#651		emacs_internal (0x03a7);
#652		emacs_internal (0x03a4);
#660		emacs_internal (0x0391);
#661		emacs_internal (0x0392);
#662		emacs_internal (0x03a5);
#663		emacs_internal (0x03a8);
#677		emacs_internal (0x03bc);
#683		emacs_internal (0x2733);
#688		{ emacs_internal (0x03bc); emacs_internal (0x030a); }
#690		emacs_internal (0x27d8);
#691		emacs_internal (0x27c0);
#692		emacs_internal (0x27c1);
#694		emacs_internal (0x0396);
#695		emacs_internal (0x2014);
#700		emacs_internal (0x205e);
#703		{ emacs_internal (0x25cb); emacs_internal (0x25cb); emacs_internal (0x25cb); }
#704		{ emacs_internal (0x2014); emacs_internal (0x0307); }
#709		emacs_internal (0x223b);
#710		{ emacs_internal (0x039a); emacs_internal (0x0336); }
\*#711		emacs_internal (0x03fa);
#711		emacs_internal (0x03fb);
#717		emacs_internal (0x2e00);
#718		emacs_internal (0x2e01);
#719		emacs_internal (0x2e06);
#720		emacs_internal (0x2e07);
#721		printf (":");
#722		emacs_internal (0x2135);
#724		emacs_internal (0x210c);
#730		emacs_internal (0x2014);
#731		emacs_internal (0x23d7);
#732		emacs_internal (0x23d8);
#733		emacs_internal (0x23d9);
#751		emacs_internal (0x0661);
#752		emacs_internal (0x0662);
#753		emacs_internal (0x0663);
#754		emacs_internal (0x0664);
#755		emacs_internal (0x0665);
#756		emacs_internal (0x0666);
#757		emacs_internal (0x0667);
#758		emacs_internal (0x0668);
#759		emacs_internal (0x0669);
#760		emacs_internal (0x0660);
#762		emacs_internal (0x02d9);
#800		emacs_internal (0x2733);
#803		emacs_internal (0x03a6);
#804		printf ("/");
#805		emacs_internal (0x03a4);
#806		emacs_internal (0x039a);
#811		emacs_internal (0x03a4);
#821		emacs_internal (0x03a3);
#833		emacs_internal (0x039c);
#835		emacs_internal (0x03a7);
#836		emacs_internal (0x03a3);
#837		emacs_internal (0x03a4);
#840		{ printf ("|"); printf ("|"); }
#841		{ printf ("|"); printf ("|"); printf ("|"); }
#842		emacs_internal (0x00b7);
#853		emacs_internal (0x0399);
#862		emacs_internal (0x0394);
#866		emacs_internal (0x03a7);
#927		printf ("W");
#932		emacs_internal (0x2733);
#938		emacs_internal (0x01a7);
#939		printf ("~");
#1005		emacs_internal (0x03a7);
#1006		{ emacs_internal (0x03a7); emacs_internal (0x0391); }
#1007		{ emacs_internal (0x03a7); emacs_internal (0x0392); }
#1008		{ emacs_internal (0x03a7); emacs_internal (0x0393); }
#1009		{ emacs_internal (0x03a7); emacs_internal (0x0394); }
#1010		{ emacs_internal (0x03a7); emacs_internal (0x0395); }
#1011		{ emacs_internal (0x03a7); emacs_internal (0x0396); }
#1012		{ emacs_internal (0x03a7); emacs_internal (0x0397); }
#1013		{ emacs_internal (0x03a7); printf (">"); }
#1020		printf ("<");
#1021		{ emacs_internal (0x0394); emacs_internal (0x0374); }
#1022		{ emacs_internal (0x0397); emacs_internal (0x0374); }
#1023		{ emacs_internal (0x0399); emacs_internal (0x0374); }
#1024		{ emacs_internal (0x039b); emacs_internal (0x0392); }
#1100		emacs_internal (0x2183);
#1103		{ emacs_internal (0x0323); emacs_internal (0x0313); }
#1105		{ printf ("M"); emacs_internal (0x030a); }
#1107		{ printf ("S"); emacs_internal (0x0336); printf ("S"); emacs_internal (0x0336); }
#1108		{ printf ("X"); emacs_internal (0x0336); }
#1109		printf ("=");
#1110		printf ("-");
#1111		emacs_internal (0x00b0);
#1115		printf ("|");
#1116		emacs_internal (0x01a7);
#1117		printf ("Z");
#1119		emacs_internal (0x0110);
#1121		printf ("Z");
#1124		emacs_internal (0x211e);
#1126		printf ("O");
#1127		{ printf ("v"); emacs_internal (0x0338); }
#1128		{ printf ("I"); emacs_internal (0x0336); printf ("I"); emacs_internal (0x0336); printf ("S"); emacs_internal (0x0336); }
#1129		{ printf ("Z"); emacs_internal (0x0336); }
#1130		printf ("\\");
#1131		printf ("\\\\");
#1132		{ printf ("\\"); emacs_internal (0x0336); }
#1133		{ printf ("\\"); emacs_internal (0x0336); printf ("\\"); emacs_internal (0x0336); }
#1135		printf ("9");
#1136		emacs_internal (0x2112);
#1200		emacs_internal (0x00a2);
#1201		emacs_internal (0x2021);
#1202		emacs_internal (0x00a4);
#1203		emacs_internal (0x00df);
#1204		emacs_internal (0x00b0);
#1209		emacs_internal (0x0127);
#1212		{ printf ("D"); emacs_internal (0x0336); }
#1213		emacs_internal (0x0152);
#1214		emacs_internal (0x0153);
#1215		emacs_internal (0x00c6);
#1216		emacs_internal (0x00e6);
#1219		printf ("$");
#1220		printf ("@");
#1221		emacs_internal (0x0131);
#1222		emacs_internal (0x0130);
#1223		{ printf ("i"); emacs_internal (0x0336); }
#1224		emacs_internal (0x2295);
#1225		emacs_internal (0x00a9);
#1226		emacs_internal (0x2731);
#1227		emacs_internal (0x2021);
#1230		emacs_internal (0x25ad);
#1312		{ printf ("M"); emacs_internal (0x2019); }
#1313		emacs_internal (0x223d);
#1314		{ printf ("n"); emacs_internal (0x030a); }
#1316		emacs_internal (0x0292);
#1317		{ emacs_internal (0x02d9); printf ("//."); }
#1318		emacs_internal (0x223b);
#1320		{ emacs_internal (0x0375); emacs_internal (0x0311); }
#1322		emacs_internal (0x2644);
#1323		{ emacs_internal (0x03b6); emacs_internal (0x0337); emacs_internal (0x03c2); emacs_internal (0x0300); }
#1324		{ emacs_internal (0x03b8); emacs_internal (0x03c2); emacs_internal (0x0302); }
#1335		printf ("//");
#1337		printf (">");
#1340		{ emacs_internal (0x039d); emacs_internal (0x03bf); }
#1500		{ emacs_internal (0x03b3); emacs_internal (0x030a); }
#1502		{ emacs_internal (0x03a7); emacs_internal (0x0374); }
#1506		{ emacs_internal (0x0300); emacs_internal (0x030c); }
#1512		printf ("<");
#1514		emacs_internal (0x00f7);
#1521		emacs_internal (0x0222);
#1523		emacs_internal (0x205b);
#[0-9]+		printf (" ");

\ ?[\0\x80-\xff]+	printf ("\n");

!		printf (" ");
`		;

.		ECHO;

%%

void emacs_internal (int code)
{
  if (code < 0x0080) {
    printf  ("%c", code);
  }
  /* We do not need an "else if" section for eight-bit-control
   * because none of the rules above generates such a code.
   */
  else if (code < 0x0100) {
    printf ("%c%c", 0x81, code);
  }
  else {
    printf ("%c%c%c%c", 0x9c, 0xf4,
            (code - 0x0100) / 96 + 0xa0,
            (code - 0x0100) % 96 + 0xa0);
  }
}

main(int argc, char *argv[])
{
  FILE *file;

  if (argc > 2) {
    fprintf (stderr, "usage: %s [filename]\n", argv[0]);
    exit (-1);
  }

  if (argc == 2) {
    file = fopen (argv[1], "r");
    if (!file) {
      fprintf (stderr, "%s: cannot open %s\n", argv[0], argv[1]);
      exit (-1);
    }
    yyin = file;
  }

  yylex ();

  printf ("\n");
}
